﻿@model NorthWind.WebMVC.Models.ProductViewModel
@{
    var htmlAttr1 = new { @class = "form-control" };
}
@using (Ajax.BeginForm("Edit", "Customers", new AjaxOptions { HttpMethod = "POST", OnSuccess = "OnSuccess" }))
{
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <span class="close" data-dismiss="modal">&times;</span>
                New Customer
            </div>
            <div class="modal-body">
                <div class="form-horizontal">
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" }) 
                    <div class="form-group">
                        <label class="control-label col-md-3">Product ID</label>
                        <div class="col-md-3">@Html.TextBoxFor(model => model.Products.ProductID, new { @readonly = true, @class = "form-control" })</div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3">Product Name</label>
                        <div class="col-md-8">
                            @Html.TextBoxFor(model => model.Products.ProductName, htmlAttr1)
                            @Html.ValidationMessageFor(model => model.Products.ProductName, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3">Category</label>
                        <div class="col-md-8">
                            <div class="input-group">
                                @Html.HiddenFor(model => model.Products.CategoryID)
                                @Html.ValidationMessageFor(model => model.Products.CategoryID, "", new { @class = "text-danger" })
                                @Html.TextBoxFor(model => model.Category.CategoryName, new { @class="form-control freeze"})
                                <div class="input-group-btn">
                                    <button type="button" onclick="lookupCtg()" class="btn btn-primary">
                                        <i class="glyphicon glyphicon-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3">Supplier</label>
                        <div class="col-md-8">
                            <div class="input-group">
                                @Html.HiddenFor(model => model.Products.SupplierID)
                                @Html.ValidationMessageFor(model => model.Products.SupplierID, "", new { @class = "text-danger" })
                                @Html.TextBoxFor(model => model.Supplier.CompanyName, new { @class = "form-control freeze" })
                                <div class="input-group-btn">
                                    <button class="btn btn-primary" type="button" onclick="lookupSupp()">
                                        <i class="glyphicon glyphicon-search"></i>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3">Unit Price</label>
                        <div class="col-md-3">@Html.TextBoxFor(model => model.Products.UnitPrice, htmlAttr1) 
                        @Html.ValidationMessageFor(model => model.Products.UnitPrice, "", new { @class = "text-danger" })</div>
                        <label class="control-label col-md-2">Quantity Per Unit</label>
                        <div class="col-md-3">@Html.TextBoxFor(model => model.Products.QuantityPerUnit, htmlAttr1)
                        @Html.ValidationMessageFor(model => model.Products.QuantityPerUnit, "", new { @class = "text-danger" })</div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3">Units In Stock</label>
                        <div class="col-md-3">@Html.TextBoxFor(model => model.Products.UnitsInStock, htmlAttr1)
                        @Html.ValidationMessageFor(model => model.Products.UnitsInStock, "", new { @class = "text-danger" })</div>
                        <label class="control-label col-md-2">Units On Order</label>
                        <div class="col-md-3">
                            @Html.TextBoxFor(model => model.Products.UnitsOnOrder, htmlAttr1)
                            @Html.ValidationMessageFor(model => model.Products.UnitsOnOrder, "", new { @class = "text-danger" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="control-label col-md-3">Reorder Level</label>
                        <div class="col-md-3">@Html.TextBoxFor(model => model.Products.ReorderLevel, htmlAttr1)
                        @Html.ValidationMessageFor(model => model.Products.ReorderLevel, "", new { @class = "text-danger" })
                        </div>
                        <label class="control-label col-md-2">Discontinued</label>
                        <div class="col-md-3">
                            <div class="checkbox">
                                <label>@Html.CheckBoxFor(model => model.Products.Discontinued)</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="submit" class="btn btn-primary"><i class="glyphicon glyphicon-save"></i> Save</button>
                <button type="button" class="btn btn-default" data-dismiss="modal"><i class="glyphicon glyphicon-remove"></i> Close</button>
            </div>
        </div>
    </div>
}

<script type="text/javascript">
    function OnSuccess(data) {
        if (data !== 'success') {
            $("#modal-container").html(data);
            return;
        }
        $("#modal-container").modal('hide');
        $("#modal-container").html("");
        customers-dt.refresh();
    }

    $('.freeze').keydown(function () { return false; });
</script>


